Author: kp
Date: Mon Apr 16 16:02:09 2018
New Revision: 332590
URL: https://svnweb.freebsd.org/changeset/base/332590

Log:
  MFC r331546:
  
  pf: reload and resync do the same thing
  
  The reload and resync commands for the startup script do exactly the same
  thing, so implement one as a call to the other.

Modified:
  stable/11/etc/rc.d/pf
Directory Properties:
  stable/11/   (props changed)

Modified: stable/11/etc/rc.d/pf
==============================================================================
--- stable/11/etc/rc.d/pf       Mon Apr 16 16:01:06 2018        (r332589)
+++ stable/11/etc/rc.d/pf       Mon Apr 16 16:02:09 2018        (r332590)
@@ -53,12 +53,12 @@ pf_check()
 pf_reload()
 {
        echo "Reloading pf rules."
-       $pf_program -n -f "$pf_rules" $pf_flags || return 1
-       $pf_program -f "$pf_rules" $pf_flags
+       pf_resync
 }
 
 pf_resync()
 {
+       $pf_program -n -f "$pf_rules" $pf_flags || return 1
        $pf_program -f "$pf_rules" $pf_flags
 }
 
_______________________________________________
svn-src-all@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscr...@freebsd.org"

Reply via email to